#include <iostream>

#include "BirthdayDynamic.h"

using namespace std;

BirthdayDynamic::BirthdayDynamic(const BirthdayDynamic& other)
    : length(other.length), elements(new Birthday[length])
{
    // Copy the elements.
    for (int i = 0; i < length; i++) elements[i] = other[i];
}

BirthdayDynamic::~BirthdayDynamic()
{
    //cout << "*** Calling BirthdayList destructor ..." << endl;
    if (elements != nullptr) delete[] elements;
}

Birthday& BirthdayDynamic::operator [](const int index) const
{
    return elements[index];  // should check the index first
}
