#ifndef BIRTHDAYDYNAMIC_H_
#define BIRTHDAYDYNAMIC_H_

#include "Birthday.h"

class BirthdayDynamic
{
public:
    BirthdayDynamic(int len) : length(len), elements(new Birthday[len]) {}
    BirthdayDynamic(const BirthdayDynamic& other);  // copy constructor
    virtual ~BirthdayDynamic();

    int get_length() const { return length; }

    // Overloaded [] subscript operator.
    Birthday& operator [](const int index) const;

private:
    int length;
    Birthday *elements;
};

#endif /* BIRTHDAYDYNAMIC_H_ */
